﻿Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports Telerik.Web.UI

Public Class MyNodeTemplate
    Implements ITemplate

    Public Sub InstantiateIn(ByVal container As Control) Implements ITemplate.InstantiateIn
        Dim label1 As New Label()
        label1.ID = "ItemLabel"
        label1.Text = "Text"
        label1.Font.Size = 10
        label1.Font.Bold = True
        AddHandler label1.DataBinding, AddressOf label1_DataBinding
        container.Controls.Add(label1)
        Dim arrowDiv As New System.Web.UI.HtmlControls.HtmlGenericControl("DIV")
        arrowDiv.Attributes.Add("class", "nodeRightClickArrow")
        arrowDiv.Attributes.Add("onclick", "LeftClickContextMenuClick();")
        container.Controls.Add(arrowDiv)
    End Sub
    Private Sub label1_DataBinding(ByVal sender As Object, ByVal e As EventArgs)
        Dim target As Label = DirectCast(sender, Label)
        Dim node As RadTreeNode = DirectCast(target.BindingContainer, RadTreeNode)
        Dim nodeText As String = DirectCast(DataBinder.Eval(node, "Text"), String)
        target.Text = nodeText
    End Sub
End Class

Partial Class TelerikWebForm
    Inherits System.Web.UI.Page

    Protected Overloads Overrides Sub OnInit(ByVal e As EventArgs)
        RadTreeView3.NodeTemplate = New MyNodeTemplate()
        MyBase.OnInit(e)
    End Sub

End Class
